<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_add_bg"
    tools:context=".ui.plan.already.AlreadyActivity"
    tools:ignore="PxUsage">

    <RelativeLayout
        android:id="@+id/rel1"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginStart="20dp" />

        <TextView
            android:id="@+id/deptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginStart="10dp"
            android:layout_toEndOf="@+id/image"
            android:text="实验室名称-房间号"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="化学品智能管理"
                android:textColor="@color/white"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="6dp"
                android:textColor="@color/white" />

        </LinearLayout>


        <RelativeLayout
            android:id="@+id/loggedIn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:gravity="center_vertical"
            android:paddingEnd="18dp">

            <ImageView
                android:id="@+id/imageName"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginEnd="6dp" />

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toEndOf="@+id/imageName"
                android:text="李XX"
                android:textColor="@color/white" />

            <ImageView
                android:id="@+id/imgOut"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toEndOf="@+id/tvName"
                android:background="@mipmap/cshrk_dl_tc" />

            <TextView
                android:id="@+id/tvOutLogin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginEnd="10dp"
                android:layout_toEndOf="@+id/imgOut"
                android:text="退出"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </RelativeLayout>
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rel1"
        android:layout_marginLeft="31dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="31dp"
        android:layout_marginBottom="69dp"
        android:background="@drawable/bg_add_chemicals_one"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="50px"
            android:layout_marginTop="50px">

            <TextView
                android:id="@+id/alreadyName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="已申领危化品存储"
                android:textSize="30px"
                android:textStyle="bold" />

            <RadioGroup
                android:id="@+id/typeRG"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="350px"
                android:checkedButton="@id/relatedRB"
                android:orientation="horizontal"
                android:visibility="gone">

                <RadioButton
                    android:id="@+id/relatedRB"
                    android:layout_width="200px"
                    android:layout_height="30dp"
                    android:background="@drawable/selector_check_bt"
                    android:button="@null"
                    android:gravity="center"
                    android:text="与我相关"
                    android:textColor="@drawable/selector_input_select_text_color"
                    android:textSize="18sp" />

                <RadioButton
                    android:id="@+id/otherRB"
                    android:layout_width="200px"
                    android:layout_height="30dp"
                    android:layout_marginStart="10dp"
                    android:background="@drawable/selector_check_bt"
                    android:button="@null"
                    android:gravity="center"
                    android:text="其它"
                    android:textColor="@drawable/selector_input_select_text_color"
                    android:textSize="18sp" />
            </RadioGroup>

            <RelativeLayout
                android:id="@+id/belongSearchRL"
                android:layout_width="220px"
                android:layout_height="60px"
                android:layout_alignParentEnd="true"
                android:background="@drawable/shape_input_box">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:layout_marginEnd="15px"
                    android:rotation="90"
                    android:text=">"
                    android:textSize="20px" />

                <TextView
                    android:id="@+id/belongSearchTV"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="15px"
                    android:text="归属人"
                    android:textSize="20px" />

            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/applicantSearchRL"
                android:layout_width="220px"
                android:layout_height="60px"
                android:layout_marginEnd="20px"
                android:layout_toStartOf="@id/belongSearchRL"
                android:background="@drawable/shape_input_box">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:layout_marginEnd="15px"
                    android:rotation="90"
                    android:text=">"
                    android:textSize="20px" />

                <TextView
                    android:id="@+id/applicantSearchTV"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="15px"
                    android:text="申领人"
                    android:textSize="20px" />

            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/applicantCodeSearchRL"
                android:layout_width="220px"
                android:layout_height="60px"
                android:layout_marginEnd="20px"
                android:layout_toStartOf="@id/applicantSearchRL"
                android:background="@drawable/shape_input_box">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:layout_marginEnd="15px"
                    android:rotation="90"
                    android:text=">"
                    android:textSize="20px" />

                <TextView
                    android:id="@+id/applicantCodeSearchTV"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="15px"
                    android:ellipsize="marquee"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:marqueeRepeatLimit="marquee_forever"
                    android:singleLine="true"
                    android:text="申领单号"
                    android:textSize="20px" />

            </RelativeLayout>


        </RelativeLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginTop="10px"
            android:layout_marginEnd="50px"
            android:text="*该处显示已从危化品服务中心申领完成，未使用终端存入危化品柜中的危化品" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="80px"
            android:layout_marginHorizontal="50px"
            android:layout_marginTop="10px"
            android:background="#F5F5F5">

            <CheckBox
                android:id="@+id/selectAllCB"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginHorizontal="10px"
                android:background="@drawable/cb"
                android:button="@null" />

            <TextView
                android:id="@+id/alreadyCodeTV"
                android:layout_width="175px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/selectAllCB"
                android:paddingStart="15px"
                android:text="申领单号"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/name"
                android:layout_width="200px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/alreadyCodeTV"
                android:paddingStart="15px"
                android:text="名称"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/type"
                android:layout_width="120px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/name"
                android:paddingStart="15px"
                android:text="类别"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/cas"
                android:layout_width="120px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/type"
                android:paddingStart="15px"
                android:text="CAS"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/purity"
                android:layout_width="110px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/cas"
                android:paddingStart="15px"
                android:text="纯度"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/specs"
                android:layout_width="126px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/purity"
                android:paddingStart="15px"
                android:text="规格"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/belongTV"
                android:layout_width="126px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/specs"
                android:paddingStart="15px"
                android:text="归属人"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/applicantTV"
                android:layout_width="108px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/belongTV"
                android:paddingStart="15px"
                android:text="申领人"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/code"
                android:layout_width="218px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/applicantTV"
                android:paddingStart="15px"
                android:text="编码"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/save"
                android:layout_width="227px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/code"
                android:paddingStart="15px"
                android:text="存储位置"
                android:textColor="#333333"
                android:textSize="26px" />

            <TextView
                android:id="@+id/operate"
                android:layout_width="100px"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@id/save"
                android:gravity="center"
                android:text="操作"
                android:textColor="#333333"
                android:textSize="26px" />


        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="50px"
            android:layout_marginBottom="20px">

            <RelativeLayout
                android:id="@+id/pageControl"
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:layout_alignParentBottom="true"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="19dp">

                <TextView
                    android:id="@+id/pageItem"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:layout_marginHorizontal="20dp"
                    android:text="0/0" />

                <Button
                    android:id="@+id/lastPage"
                    android:layout_width="65dp"
                    android:layout_height="25dp"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="10dp"
                    android:layout_toLeftOf="@+id/pageItem"
                    android:background="@drawable/bg_up_page"
                    android:text="上一页"
                    android:textColor="@color/black"
                    android:textSize="10sp" />

                <Button
                    android:id="@+id/nextPage"
                    android:layout_width="65dp"
                    android:layout_height="25dp"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10dp"
                    android:layout_toRightOf="@id/pageItem"
                    android:background="@drawable/bg_sou_suo_page"
                    android:text="下一页"
                    android:textColor="@color/white"
                    android:textSize="10sp" />
            </RelativeLayout>

            <ListView
                android:id="@+id/alreadyLV"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_above="@id/pageControl"
                tools:listitem="@layout/item_already" />

        </RelativeLayout>


    </LinearLayout>

    <TextView
        android:id="@+id/tvReturn"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun"
        android:gravity="center"
        android:text="返回"
        android:textColor="@color/white"
        android:textSize="10sp" />


    <Button
        android:id="@+id/subAdd"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun_two"
        android:text="开门入库"
        android:textColor="@color/white"
        android:textSize="10sp" />
</RelativeLayout>